﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace ExportLinks
{
    public partial class Form1 : Form
    {
        DataDynamics.ActiveReports.ActiveReport rpt;
      
        public Form1()
        {
            InitializeComponent();
            rpt = new DataDynamics.ActiveReports.ActiveReport();

            #region "Report Header"
            DataDynamics.ActiveReports.ReportHeader reportHeader = new DataDynamics.ActiveReports.ReportHeader();
            reportHeader.Name = "ReportHeader";
            reportHeader.CanShrink = true;
            reportHeader.BackColor = Color.DarkGray;

        DataDynamics.ActiveReports.Label label = new  DataDynamics.ActiveReports.Label();
            label.Name = "label1";
            label.Location = new PointF(1.3f, 0f);
            label.Text = "Sample Report for export";
            label.Size = new SizeF(4f, 0.5f);
            label.Alignment = DataDynamics.ActiveReports.TextAlignment.Center;
            label.VerticalAlignment = DataDynamics.ActiveReports.VerticalTextAlignment.Middle;
            label.Font = new Font(label.Font.FontFamily, 14f, FontStyle.Bold);
            label.Alignment = DataDynamics.ActiveReports.TextAlignment.Center;
            label.LineSpacing = 5;
            label.CharacterSpacing = 1;
            label.VerticalAlignment = DataDynamics.ActiveReports.VerticalTextAlignment.Middle;
            label.VerticalText = false;

            reportHeader.Controls.Add(label);
            #endregion

            #region "Page Header"
            DataDynamics.ActiveReports.PageHeader pageHeader = new DataDynamics.ActiveReports.PageHeader();
            pageHeader.Name = "PageHeader";
            pageHeader.CanShrink = true;

          DataDynamics.ActiveReports.Label label1 = new  DataDynamics.ActiveReports.Label();
            label1.Text = "Simple Hyperlink";
            label1.Font = new Font(label1.Font.FontFamily, label1.Font.Size, FontStyle.Bold);
            label1.Location = new PointF(0.2f, 0f);
            label1.ForeColor = Color.Maroon;
            label1.Width = 2f;

          DataDynamics.ActiveReports.Label label2 = new  DataDynamics.ActiveReports.Label();
            label2.Text = "HTTP Hyperlink";
            label2.Font = new Font(label2.Font.FontFamily, label2.Font.Size, FontStyle.Bold );
            label2.Location = new PointF(1.6f, 0.0f);
            label2.ForeColor = Color.OrangeRed;
            label2.Width = 2f;


            DataDynamics.ActiveReports.Label label3 = new  DataDynamics.ActiveReports.Label();
            label3.Text = "HTTPS Hyperlink";
            label3.Font = new Font(label3.Font.FontFamily, label3.Font.Size, FontStyle.Bold);
            label3.Location = new PointF(3.2f, 0.0f);
            label3.ForeColor = Color.Blue;
            label3.Width = 2f;

            pageHeader.Controls.Add(label1);
            pageHeader.Controls.Add(label2);
            pageHeader.Controls.Add(label3);

            #endregion

            #region "Detail section"
            DataDynamics.ActiveReports.Detail detailSection = new DataDynamics.ActiveReports.Detail();
            detailSection.Name = "DetailSection";
            detailSection.CanShrink = true;

            DataDynamics.ActiveReports.TextBox textbox = new DataDynamics.ActiveReports.TextBox();
            textbox.Text = "www.google.com";
            textbox.Width = 2f;
            textbox.Font = new Font(textbox.Font.FontFamily, textbox.Font.Size, FontStyle.Regular);
            textbox.Location = new PointF(0.2f, 0f);
            textbox.ForeColor = Color.Maroon;

            DataDynamics.ActiveReports.TextBox textbox1 = new DataDynamics.ActiveReports.TextBox();
            textbox1.Text = "http://www.google.co.in/";
            textbox1.Width = 2f;
            textbox1.Font = new Font(textbox1.Font.FontFamily, textbox1.Font.Size, FontStyle.Regular);
            textbox1.Location = new PointF(1.45f, 0f); ;
            textbox1.ForeColor = Color.OrangeRed;

            DataDynamics.ActiveReports.TextBox textbox2 = new DataDynamics.ActiveReports.TextBox();
            textbox2.Text = "https://www.google.co.in/";
            textbox2.Width = 2f;
            textbox2.Font = new Font(textbox1.Font.FontFamily, textbox1.Font.Size, FontStyle.Regular);
            textbox2.Location = new PointF(3.1f, 0f); 
            textbox2.ForeColor = Color.Blue;

            DataDynamics.ActiveReports.Line line = new DataDynamics.ActiveReports.Line();
            line.AnchorBottom = true;
            line.LineWeight = 1f;
            line.LineStyle = DataDynamics.ActiveReports.LineStyle.Solid;
            line.Width = 4.5f;
            line.Location = new PointF(0.2f, 0f);
            line.LineColor = Color.RosyBrown;


            detailSection.Controls.Add(textbox);
            detailSection.Controls.Add(textbox1);
            detailSection.Controls.Add(textbox2);
            detailSection.Controls.Add(textbox2);

            detailSection.Controls.Add(line);

            #endregion

            #region "Page Footer"
            DataDynamics.ActiveReports.PageFooter pageFooter = new DataDynamics.ActiveReports.PageFooter();
            pageFooter.Name = "ReportFooter";

            DataDynamics.ActiveReports.ReportInfo reportInfo = new DataDynamics.ActiveReports.ReportInfo();
            reportInfo.FormatString = "Pg No. {PageNumber}/{PageCount}";
            reportInfo.Alignment = DataDynamics.ActiveReports.TextAlignment.Right;
            reportInfo.Location = new PointF(5.5f, 0f);

            pageFooter.Controls.Add(reportInfo);
            #endregion

            #region "Report Footer"
            DataDynamics.ActiveReports.ReportFooter reportFooter = new DataDynamics.ActiveReports.ReportFooter();
            reportFooter.BackColor = Color.Gainsboro;
            reportFooter.Name = "ReportFooter";

           DataDynamics.ActiveReports.Label label4 = new  DataDynamics.ActiveReports.Label();
            label4.Name = "label4";
            label4.Location = new PointF(5.5f, 0f);
            label4.Text = "Report End..";

            reportFooter.Controls.Add(label4);
            #endregion

            rpt.Sections.Add(reportHeader);
            rpt.Sections.Add(pageHeader);
            rpt.Sections.Add(detailSection);
            rpt.Sections.Add(pageFooter);
            rpt.Sections.Add(reportFooter);

            rpt.Run();
            viewer1.Document = rpt.Document;
        }

        private void button1_Click(object sender, EventArgs e)
        {
            // Export the report in PDF format.
            DataDynamics.ActiveReports.Export.Pdf.PdfExport PdfExport1 = new DataDynamics.ActiveReports.Export.Pdf.PdfExport();
            PdfExport1.Export(rpt.Document, Application.StartupPath + "\\PDFExpt.pdf");
        }
    }
}
